# Uses of Interface
org.eclipse.pde.core.target.ITargetLocation

Packages that use ITargetLocation
Package
Description
org.eclipse.pde.core.target
Application programming interfaces to access and modify the PDE target platform.
org.eclipse.pde.ui.target
Application programming interfaces describing UI elements that can be contributed to PDE target platform support.

## Uses of ITargetLocation in org.eclipse.pde.core.target

Methods in org.eclipse.pde.core.target that return ITargetLocation
Modifier and Type
Method
Description
`ITargetLocation`
ITargetLocationFactory.`getTargetLocation(String type, String serializedXML)`
Returns an instance of an `ITargetLocation` from the provided serialized xml string or throws a `CoreException` if unable to do so.
`ITargetLocation[]`
ITargetDefinition.`getTargetLocations()`
Returns the locations defined by this target, possible `null`.
`ITargetLocation`
ITargetPlatformService.`newDirectoryLocation(String path)`
Creates and returns a target location that contains all bundles in the specified directory which may contain string substitution variables.
`ITargetLocation`
ITargetPlatformService.`newFeatureLocation(String home, String featureId, String version)`
Creates and returns a target location that contains all bundles referenced by the feature at the specified location.
`ITargetLocation`
ITargetPlatformService.`newIULocation(String[] unitIds, String[] versions, URI[] repositories, int resolutionFlags)`
Creates and returns a target location that contains all bundles contained in the specified installable units (IU's) in the given repositories.
`ITargetLocation`
ITargetPlatformService.`newIULocation(IInstallableUnit[] units, URI[] repositories, int resolutionFlags)`
Creates and returns a target location that contains all bundles contained in the specified installable units (IU's) in the given repositories.
`ITargetLocation`
ITargetPlatformService.`newProfileLocation(String home, String configurationLocation)`
Creates and returns a target location that contains all bundles installed in a profile at the specified location with the specified configuration area.
Methods in org.eclipse.pde.core.target with parameters of type ITargetLocation
Modifier and Type
Method
Description
`void`
ITargetDefinition.`setTargetLocations(ITargetLocation[] containers)`
Sets the locations in this target definition or `null` if none.

## Uses of ITargetLocation in org.eclipse.pde.ui.target

Methods in org.eclipse.pde.ui.target that return ITargetLocation
Modifier and Type
Method
Description
`ITargetLocation[]`
ITargetLocationWizard.`getLocations()`
Returns an array of target locations to be added to the target definition.
Methods in org.eclipse.pde.ui.target with parameters of type ITargetLocation
Modifier and Type
Method
Description
`boolean`
ITargetLocationEditor.`canEdit(ITargetDefinition target, ITargetLocation targetLocation)`
Deprecated.
Returns whether this target location can be edited by this editor.
`boolean`
ITargetLocationUpdater.`canUpdate(ITargetDefinition target, ITargetLocation targetLocation)`
Deprecated.
Returns whether this updater can update the given target location.
`IWizard`
ITargetLocationEditor.`getEditWizard(ITargetDefinition target, ITargetLocation targetLocation)`
Deprecated.
Returns a wizard that will be opened to edit the given target location.
`default IStatus`
ITargetLocationHandler.`reload(ITargetDefinition target, ITargetLocation[] targetLocations, IProgressMonitor monitor)`
Called when the given targetLocations in the given target a re 'reloaded' and the user wants to completely reload any cached state.
`IStatus`
ITargetLocationUpdater.`update(ITargetDefinition target, ITargetLocation targetLocation, IProgressMonitor monitor)`
Deprecated.
Updates the given target location.